// _GestionEtatCivil_Interface.java
// Created on 22 sept. 2010 by JavaClient Wizard 1.0
/*
 * Copyright Consortium Cocktail
 *
 * cocktail@univ-lr.fr
 *
 * Logiciel de gestion des ressources humaines des établissements.
 *
 * Ce logiciel est régi par la licence CeCILL soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".

 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.

 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.

 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL, et que vous en avez accepté les
 * termes.
 */
package org.cocktail.mangue.client.individu.interfaces;
import org.cocktail.component.COFrame;

/**
 *
 * @author  christine
 */
public class _GestionEtatCivil_Interface extends COFrame {

    /** Creates new form _GestionEtatCivil_Interface */
    public _GestionEtatCivil_Interface() {
        super();
        initComponents();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        displayGroup = new org.cocktail.component.CODisplayGroup();
        displayGroupCivilite = new org.cocktail.component.CODisplayGroup();
        GrandePhoto = new org.cocktail.component.COFrame();
        grandePhoto = new org.cocktail.component.COImageView();
        eodMinisteres = new org.cocktail.component.CODisplayGroup();
        cOView1 = new org.cocktail.component.COView();
        jLabel3 = new javax.swing.JLabel();
        cOComboBox1 = new org.cocktail.component.COComboBox();
        jLabel4 = new javax.swing.JLabel();
        cOTextField4 = new org.cocktail.component.COTextField();
        labelNomPatronymique = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        jLabel9 = new javax.swing.JLabel();
        jLabel10 = new javax.swing.JLabel();
        labelSS = new javax.swing.JLabel();
        jLabel12 = new javax.swing.JLabel();
        jLabel15 = new javax.swing.JLabel();
        jLabel14 = new javax.swing.JLabel();
        jLabel13 = new javax.swing.JLabel();
        jLabel17 = new javax.swing.JLabel();
        cOView2 = new org.cocktail.component.COView();
        cOTextField1 = new org.cocktail.component.COTextField();
        lblNumenEpicea = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jLabel19 = new javax.swing.JLabel();
        cOTextField27 = new org.cocktail.component.COTextField();
        cOButton12 = new org.cocktail.component.COButton();
        cOButton13 = new org.cocktail.component.COButton();
        popupSituationLogement = new javax.swing.JComboBox();
        cOTextField5 = new org.cocktail.component.COTextField();
        cOTextField6 = new org.cocktail.component.COTextField();
        cOTextField7 = new org.cocktail.component.COTextField();
        vueBoutonsValidation = new org.cocktail.component.COView();
        cOButton15 = new org.cocktail.component.COButton();
        cOButton16 = new org.cocktail.component.COButton();
        cOTextField9 = new org.cocktail.component.COTextField();
        cOTextField10 = new org.cocktail.component.COTextField();
        cOTextField12 = new org.cocktail.component.COTextField();
        cOTextField11 = new org.cocktail.component.COTextField();
        cOCheckbox2 = new org.cocktail.component.COCheckbox();
        cOButton7 = new org.cocktail.component.COButton();
        cOButton4 = new org.cocktail.component.COButton();
        cOTextField13 = new org.cocktail.component.COTextField();
        cOTextField15 = new org.cocktail.component.COTextField();
        jLabel18 = new javax.swing.JLabel();
        cOTextField16 = new org.cocktail.component.COTextField();
        cOTextField18 = new org.cocktail.component.COTextField();
        cOTextField19 = new org.cocktail.component.COTextField();
        cOTextField20 = new org.cocktail.component.COTextField();
        cOTextField21 = new org.cocktail.component.COTextField();
        cOTextField22 = new org.cocktail.component.COTextField();
        cOTextField23 = new org.cocktail.component.COTextField();
        cOTextField26 = new org.cocktail.component.COTextField();
        cOButton11 = new org.cocktail.component.COButton();
        cOButton8 = new org.cocktail.component.COButton();
        cOButton9 = new org.cocktail.component.COButton();
        cOButton10 = new org.cocktail.component.COButton();
        jLabel5 = new javax.swing.JLabel();
        jLabel11 = new javax.swing.JLabel();
        cOTextField17 = new org.cocktail.component.COTextField();
        cOTextField8 = new org.cocktail.component.COTextField();
        jLabel23 = new javax.swing.JLabel();
        cOTextField14 = new org.cocktail.component.COTextField();
        lblInfosDeces = new javax.swing.JLabel();
        jLabel16 = new javax.swing.JLabel();
        popupMinisteres = new org.cocktail.component.COComboBox();
        jLabel20 = new javax.swing.JLabel();
        cOTextField24 = new org.cocktail.component.COTextField();
        cOButton14 = new org.cocktail.component.COButton();
        jPanel1 = new javax.swing.JPanel();
        cOImageView1 = new org.cocktail.component.COImageView();
        cOCheckbox1 = new org.cocktail.component.COCheckbox();
        cOButton2 = new org.cocktail.component.COButton();
        vueBoutonsModification = new org.cocktail.component.COView();
        cOButton17 = new org.cocktail.component.COButton();
        cOButton18 = new org.cocktail.component.COButton();
        btnCoordonnees = new org.cocktail.component.COButton();
        btnCir = new org.cocktail.component.COButton();
        btnDivers = new org.cocktail.component.COButton();

        displayGroup.setEntityName("IndividuUlr");
        displayGroup.setHasDelegate(true);
        displayGroup.setIsMainDisplayGroupForController(true);

        displayGroupCivilite.setEntityName("Civilite");

        GrandePhoto.setControllerClassName("org.cocktail.mangue.client.individu.GestionEtatCivil");
        GrandePhoto.setSize(new java.awt.Dimension(310, 402));

        grandePhoto.setImageScale("EOImageView.ScaleToFit");
        grandePhoto.setMethodForImage("image");
        grandePhoto.setSize(new java.awt.Dimension(302, 394));

        org.jdesktop.layout.GroupLayout grandePhotoLayout = new org.jdesktop.layout.GroupLayout(grandePhoto);
        grandePhoto.setLayout(grandePhotoLayout);
        grandePhotoLayout.setHorizontalGroup(
            grandePhotoLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 302, Short.MAX_VALUE)
        );
        grandePhotoLayout.setVerticalGroup(
            grandePhotoLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 394, Short.MAX_VALUE)
        );

        org.jdesktop.layout.GroupLayout GrandePhotoLayout = new org.jdesktop.layout.GroupLayout(GrandePhoto.getContentPane());
        GrandePhoto.getContentPane().setLayout(GrandePhotoLayout);
        GrandePhotoLayout.setHorizontalGroup(
            GrandePhotoLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(GrandePhotoLayout.createSequentialGroup()
                .add(grandePhoto, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(109, Short.MAX_VALUE))
        );
        GrandePhotoLayout.setVerticalGroup(
            GrandePhotoLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(GrandePhotoLayout.createSequentialGroup()
                .add(grandePhoto, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(75, Short.MAX_VALUE))
        );

        eodMinisteres.setEntityName("Ministeres");

        setControllerClassName("org.cocktail.mangue.client.individu.GestionEtatCivil");
        setSize(new java.awt.Dimension(659, 490));

        cOView1.setIsBox(true);

        jLabel3.setFont(new java.awt.Font("Helvetica", 1, 12));
        jLabel3.setText("Civilité");

        cOComboBox1.setAttributeForSelection("cCivilite");
        cOComboBox1.setDisplayGroupForSelection(displayGroup);
        cOComboBox1.setDisplayGroupForTitle(displayGroupCivilite);
        cOComboBox1.setEnabledMethod("peutSaisirCivilite");
        cOComboBox1.setTitleAttribute("cCivilite");

        jLabel4.setFont(new java.awt.Font("Helvetica", 1, 12));
        jLabel4.setText("Nom d'usage");

        cOTextField4.setDisplayGroupForValue(displayGroup);
        cOTextField4.setEnabledMethod("peutSaisirCivilite");
        cOTextField4.setSupportsBackgroundColor(true);
        cOTextField4.setValueName("nomUsuel");

        labelNomPatronymique.setFont(new java.awt.Font("Helvetica", 0, 12));
        labelNomPatronymique.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        labelNomPatronymique.setText("Nom de Famille");

        jLabel6.setFont(new java.awt.Font("Helvetica", 1, 12));
        jLabel6.setText("Prénom");

        jLabel7.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel7.setText("Autres prénoms");

        jLabel8.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel8.setText("Nom  d'affichage");

        jLabel9.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel9.setText("Prénom d'affichage");

        jLabel10.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel10.setText("Situation familiale");

        labelSS.setFont(new java.awt.Font("Helvetica", 0, 12));
        labelSS.setText("N° Sécu. Sociale");

        jLabel12.setFont(new java.awt.Font("Helvetica", 1, 12));
        jLabel12.setText("Né(e) le");

        jLabel15.setFont(new java.awt.Font("Helvetica", 1, 12));
        jLabel15.setText("Nationalité");

        jLabel14.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel14.setText("Pays");

        jLabel13.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel13.setText("Département");

        jLabel17.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel17.setText("Commentaire");

        cOView2.setIsBox(true);
        cOView2.setTitle("Titulaire");

        cOTextField1.setEnabledMethod("modificationEnCours");
        cOTextField1.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        cOTextField1.setSupportsBackgroundColor(true);
        cOTextField1.setValueName("numenEpicea");

        lblNumenEpicea.setFont(new java.awt.Font("Helvetica", 0, 12));
        lblNumenEpicea.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        lblNumenEpicea.setText("NUMEN");

        jLabel2.setBackground(new java.awt.Color(255, 255, 255));
        jLabel2.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel2.setText("Situation Logement");

        jLabel19.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel19.setText("Age de mise d'office à la retraite");

        cOTextField27.setEnabledMethod("nonEditable");
        cOTextField27.setSupportsBackgroundColor(true);
        cOTextField27.setValueName("ageMiseOfficeRetraite");

        cOButton12.setActionName("afficherAgeMiseRetraite");
        cOButton12.setBorderPainted(false);
        cOButton12.setEnabledMethod("modificationEnCours");
        cOButton12.setIconName("loupe16.gif");

        cOButton13.setActionName("supprimerAgeMiseRetraite");
        cOButton13.setBorderPainted(false);
        cOButton13.setEnabledMethod("peutSupprimerLimiteAgeRetraite");
        cOButton13.setIconName("supprimer16.gif");

        popupSituationLogement.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        org.jdesktop.layout.GroupLayout cOView2Layout = new org.jdesktop.layout.GroupLayout(cOView2);
        cOView2.setLayout(cOView2Layout);
        cOView2Layout.setHorizontalGroup(
            cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView2Layout.createSequentialGroup()
                .addContainerGap()
                .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, jLabel19, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, cOView2Layout.createSequentialGroup()
                        .add(cOTextField27, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 130, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOButton12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(4, 4, 4)
                        .add(cOButton13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(lblNumenEpicea, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 174, Short.MAX_VALUE)
                    .add(cOTextField1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 174, Short.MAX_VALUE)
                    .add(jLabel2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 174, Short.MAX_VALUE)
                    .add(popupSituationLogement, 0, 174, Short.MAX_VALUE))
                .addContainerGap())
        );
        cOView2Layout.setVerticalGroup(
            cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView2Layout.createSequentialGroup()
                .add(lblNumenEpicea)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOTextField1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(4, 4, 4)
                .add(jLabel2)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(popupSituationLogement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(4, 4, 4)
                .add(jLabel19)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                    .add(cOTextField27, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 23, Short.MAX_VALUE)
                    .add(cOButton12, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 23, Short.MAX_VALUE)
                    .add(cOButton13, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addContainerGap())
        );

        cOTextField5.setDisplayGroupForValue(displayGroup);
        cOTextField5.setEnabledMethod("modificationEnCours");
        cOTextField5.setSupportsBackgroundColor(true);
        cOTextField5.setValueName("nomPatronymique");

        cOTextField6.setDisplayGroupForValue(displayGroup);
        cOTextField6.setEnabledMethod("peutSaisirCivilite");
        cOTextField6.setSupportsBackgroundColor(true);
        cOTextField6.setValueName("prenom");

        cOTextField7.setDisplayGroupForValue(displayGroup);
        cOTextField7.setEnabledMethod("modificationEnCours");
        cOTextField7.setSupportsBackgroundColor(true);
        cOTextField7.setValueName("prenom2");

        cOButton15.setActionName("annuler");
        cOButton15.setBorderPainted(false);
        cOButton15.setIconName("annuler16.gif");

        cOButton16.setActionName("valider");
        cOButton16.setBorderPainted(false);
        cOButton16.setEnabledMethod("peutValider");
        cOButton16.setIconName("valider16.gif");

        org.jdesktop.layout.GroupLayout vueBoutonsValidationLayout = new org.jdesktop.layout.GroupLayout(vueBoutonsValidation);
        vueBoutonsValidation.setLayout(vueBoutonsValidationLayout);
        vueBoutonsValidationLayout.setHorizontalGroup(
            vueBoutonsValidationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueBoutonsValidationLayout.createSequentialGroup()
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .add(cOButton15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOButton16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
        );
        vueBoutonsValidationLayout.setVerticalGroup(
            vueBoutonsValidationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueBoutonsValidationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                .add(cOButton15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(cOButton16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
        );

        cOTextField9.setDisplayGroupForValue(displayGroup);
        cOTextField9.setEnabledMethod("modificationEnCours");
        cOTextField9.setSupportsBackgroundColor(true);
        cOTextField9.setValueName("prenomAffichage");

        cOTextField10.setEnabledMethod("peutModifierMatricule");
        cOTextField10.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        cOTextField10.setSupportsBackgroundColor(true);
        cOTextField10.setValueName("matricule");

        cOTextField12.setDisplayGroupForValue(displayGroup);
        cOTextField12.setEnabledMethod("nonEditable");
        cOTextField12.setSupportsBackgroundColor(true);
        cOTextField12.setValueName("toSituationFamiliale.libelleLong");

        cOTextField11.setEnabledMethod("modificationEnCours");
        cOTextField11.setSupportsBackgroundColor(true);
        cOTextField11.setValueName("codeSituationFamiliale");

        cOCheckbox2.setDisplayGroupForValue(displayGroup);
        cOCheckbox2.setEnabledMethod("modificationEnCours");
        cOCheckbox2.setText("Provisoire");
        cOCheckbox2.setValueName("prendreEnCompteNumeroProvisoire");

        cOButton7.setActionName("afficherSituationFamiliale");
        cOButton7.setBorderPainted(false);
        cOButton7.setEnabledMethod("modificationEnCours");
        cOButton7.setIconName("loupe16.gif");

        cOButton4.setActionName("ouvrirInspecteur");
        cOButton4.setBorderPainted(false);
        cOButton4.setEnabledMethod("peutAfficherInspecteurs");
        cOButton4.setIconName("info_small.gif");

        cOTextField13.setEnabledMethod("modificationEnCours");
        cOTextField13.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        cOTextField13.setSupportsBackgroundColor(true);
        cOTextField13.setValueName("numeroInsee");

        cOTextField15.setDisplayGroupForValue(displayGroup);
        cOTextField15.setEnabledMethod("nonEditable");
        cOTextField15.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        cOTextField15.setSupportsBackgroundColor(true);
        cOTextField15.setValueName("periodeAutorisationTravail");

        jLabel18.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel18.setText("à");

        cOTextField16.setDisplayGroupForValue(displayGroup);
        cOTextField16.setEnabledMethod("modificationEnCours");
        cOTextField16.setSupportsBackgroundColor(true);
        cOTextField16.setValueName("villeDeNaissance");

        cOTextField18.setEnabledMethod("peutAfficherDepartement");
        cOTextField18.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        cOTextField18.setSupportsBackgroundColor(true);
        cOTextField18.setValueName("departementNaissance");

        cOTextField19.setDisplayGroupForValue(displayGroup);
        cOTextField19.setEnabledMethod("nonEditable");
        cOTextField19.setSupportsBackgroundColor(true);
        cOTextField19.setValueName("toDepartement.libelleLong");

        cOTextField20.setEnabledMethod("modificationEnCours");
        cOTextField20.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        cOTextField20.setSupportsBackgroundColor(true);
        cOTextField20.setValueName("paysNaissance");

        cOTextField21.setDisplayGroupForValue(displayGroup);
        cOTextField21.setEnabledMethod("nonEditable");
        cOTextField21.setSupportsBackgroundColor(true);
        cOTextField21.setValueName("toPaysNaissance.libelleCourt");

        cOTextField22.setEnabledMethod("modificationEnCours");
        cOTextField22.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        cOTextField22.setSupportsBackgroundColor(true);
        cOTextField22.setValueName("paysNationalite");

        cOTextField23.setDisplayGroupForValue(displayGroup);
        cOTextField23.setEnabledMethod("champModifiable");
        cOTextField23.setSupportsBackgroundColor(true);
        cOTextField23.setValueName("toPaysNationalite.libelleCourt");

        cOTextField26.setEnabledMethod("modificationEnCours");
        cOTextField26.setSupportsBackgroundColor(true);
        cOTextField26.setValueName("texteLibre");

        cOButton11.setActionName("selectCommuneNaissance");
        cOButton11.setBorderPainted(false);
        cOButton11.setEnabledMethod("peutAfficherCommune");
        cOButton11.setIconName("loupe16.gif");

        cOButton8.setActionName("afficherDepartement");
        cOButton8.setBorderPainted(false);
        cOButton8.setEnabledMethod("peutAfficherDepartement");
        cOButton8.setIconName("loupe16.gif");

        cOButton9.setActionName("afficherPaysNaissance");
        cOButton9.setBorderPainted(false);
        cOButton9.setEnabledMethod("modificationEnCours");
        cOButton9.setIconName("loupe16.gif");

        cOButton10.setActionName("afficherPaysNationalite");
        cOButton10.setBorderPainted(false);
        cOButton10.setEnabledMethod("modificationEnCours");
        cOButton10.setIconName("loupe16.gif");

        jLabel5.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel5.setText("Matricule");

        jLabel11.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel11.setText("Fin d'autorisation provisoire de travail");

        cOTextField17.setDisplayGroupForValue(displayGroup);
        cOTextField17.setEnabledMethod("modificationEnCours");
        cOTextField17.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        cOTextField17.setSupportsBackgroundColor(true);
        cOTextField17.setValueName("dateNaissanceFormatee");

        cOTextField8.setDisplayGroupForValue(displayGroup);
        cOTextField8.setEnabledMethod("modificationEnCours");
        cOTextField8.setSupportsBackgroundColor(true);
        cOTextField8.setValueName("nomAffichage");

        cOTextField14.setEnabledMethod("modificationEnCours");
        cOTextField14.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        cOTextField14.setSupportsBackgroundColor(true);
        cOTextField14.setValueName("cleInsee");

        lblInfosDeces.setFont(new java.awt.Font("Tahoma", 0, 14));
        lblInfosDeces.setForeground(new java.awt.Color(51, 51, 255));
        lblInfosDeces.setText("jLabel20");

        jLabel16.setFont(new java.awt.Font("Helvetica", 1, 12));
        jLabel16.setText("Ministere");

        popupMinisteres.setAttributeForSelection("code");
        popupMinisteres.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));

        jLabel20.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel20.setText("NPC");

        cOTextField24.setEnabledMethod("modificationEnCours");
        cOTextField24.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        cOTextField24.setSupportsBackgroundColor(true);
        cOTextField24.setValueName("npc");

        cOButton14.setActionName("afficherAutorisationsTravail");
        cOButton14.setBorderPainted(false);
        cOButton14.setEnabledMethod("peutAfficherInspecteurs");
        cOButton14.setIconName("info_small.gif");

        jPanel1.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));

        cOImageView1.setImageScale("EOImageView.ScaleProportionally");
        cOImageView1.setMethodForImage("image");

        org.jdesktop.layout.GroupLayout cOImageView1Layout = new org.jdesktop.layout.GroupLayout(cOImageView1);
        cOImageView1.setLayout(cOImageView1Layout);
        cOImageView1Layout.setHorizontalGroup(
            cOImageView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 103, Short.MAX_VALUE)
        );
        cOImageView1Layout.setVerticalGroup(
            cOImageView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 108, Short.MAX_VALUE)
        );

        cOCheckbox1.setDisplayGroupForValue(displayGroup);
        cOCheckbox1.setEnabledMethod("modificationEnCours");
        cOCheckbox1.setFont(new java.awt.Font("SansSerif", 0, 10));
        cOCheckbox1.setText("Diffuser la photo");
        cOCheckbox1.setValueName("peutAfficherPhoto");

        org.jdesktop.layout.GroupLayout jPanel1Layout = new org.jdesktop.layout.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(cOImageView1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(cOCheckbox1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(cOImageView1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(cOCheckbox1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );

        org.jdesktop.layout.GroupLayout cOView1Layout = new org.jdesktop.layout.GroupLayout(cOView1);
        cOView1.setLayout(cOView1Layout);
        cOView1Layout.setHorizontalGroup(
            cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView1Layout.createSequentialGroup()
                .add(10, 10, 10)
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(jLabel7)
                    .add(jLabel6)
                    .add(jLabel8)
                    .add(jLabel14)
                    .add(jLabel15)
                    .add(jLabel10)
                    .add(labelSS)
                    .add(jLabel12)
                    .add(jLabel13)
                    .add(jLabel17)
                    .add(jLabel3)
                    .add(jLabel4)
                    .add(jLabel9)
                    .add(labelNomPatronymique, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 117, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(cOView1Layout.createSequentialGroup()
                        .add(cOTextField26, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 276, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(18, 18, 18)
                        .add(jLabel20)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOTextField24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 45, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 71, Short.MAX_VALUE)
                        .add(vueBoutonsValidation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(cOTextField9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 204, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOView1Layout.createSequentialGroup()
                        .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                            .add(cOTextField6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 204, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(cOTextField7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 204, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(cOView1Layout.createSequentialGroup()
                                .add(cOComboBox1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 78, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(18, 18, 18)
                                .add(jLabel23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 53, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel16, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(popupMinisteres, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 78, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(cOTextField4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 305, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(cOTextField5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 305, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(cOTextField8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 204, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(cOView1Layout.createSequentialGroup()
                                .add(jLabel5)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(cOTextField10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 95, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, jLabel11)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, cOView1Layout.createSequentialGroup()
                        .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, cOView1Layout.createSequentialGroup()
                                .add(cOTextField11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOTextField12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 172, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOButton7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOButton4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(cOView1Layout.createSequentialGroup()
                                .add(cOTextField13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 124, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(cOTextField14, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 55, Short.MAX_VALUE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOCheckbox2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(cOView1Layout.createSequentialGroup()
                                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                    .add(org.jdesktop.layout.GroupLayout.LEADING, cOView1Layout.createSequentialGroup()
                                        .add(2, 2, 2)
                                        .add(lblInfosDeces, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 251, Short.MAX_VALUE))
                                    .add(org.jdesktop.layout.GroupLayout.LEADING, cOView1Layout.createSequentialGroup()
                                        .add(cOTextField22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 36, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(cOTextField23, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 211, Short.MAX_VALUE))
                                    .add(org.jdesktop.layout.GroupLayout.LEADING, cOView1Layout.createSequentialGroup()
                                        .add(cOTextField20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 36, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(cOTextField21, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 211, Short.MAX_VALUE))
                                    .add(org.jdesktop.layout.GroupLayout.LEADING, cOView1Layout.createSequentialGroup()
                                        .add(cOTextField18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 36, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(cOTextField19, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 211, Short.MAX_VALUE))
                                    .add(cOView1Layout.createSequentialGroup()
                                        .add(cOTextField17, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 86, Short.MAX_VALUE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(jLabel18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(cOTextField16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 146, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                                .add(1, 1, 1)
                                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(org.jdesktop.layout.GroupLayout.TRAILING, cOButton11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(org.jdesktop.layout.GroupLayout.TRAILING, cOButton8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(org.jdesktop.layout.GroupLayout.TRAILING, cOButton9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(org.jdesktop.layout.GroupLayout.TRAILING, cOButton10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                        .add(18, 18, 18)
                        .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, cOView2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, cOView1Layout.createSequentialGroup()
                                .add(cOTextField15, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOButton14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))))
                .addContainerGap())
        );
        cOView1Layout.setVerticalGroup(
            cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView1Layout.createSequentialGroup()
                .addContainerGap()
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(cOView1Layout.createSequentialGroup()
                        .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                .add(cOComboBox1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(jLabel3)
                                .add(jLabel23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                .add(popupMinisteres, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(jLabel16)))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(cOTextField4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel4))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(cOTextField5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(labelNomPatronymique))
                        .add(4, 4, 4)
                        .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel6)
                            .add(cOTextField6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(4, 4, 4)
                        .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel7)
                            .add(cOTextField7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(4, 4, 4)
                        .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel8)
                            .add(cOTextField8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(cOTextField9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel9)))
                    .add(cOView1Layout.createSequentialGroup()
                        .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(22, 22, 22)
                        .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(cOTextField10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel5))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(cOTextField15, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 23, Short.MAX_VALUE)
                    .add(cOButton14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                        .add(cOTextField11, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 23, Short.MAX_VALUE)
                        .add(cOTextField12, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 23, Short.MAX_VALUE)
                        .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel10)
                            .add(cOButton7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(cOButton4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, cOView1Layout.createSequentialGroup()
                        .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(labelSS)
                            .add(cOCheckbox2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(cOTextField14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(cOTextField13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel12)
                            .add(cOTextField17, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel18)
                            .add(cOTextField16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(cOButton11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(4, 4, 4)
                        .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                .add(jLabel13)
                                .add(cOTextField18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(cOTextField19, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(cOButton8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(4, 4, 4)
                        .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                .add(jLabel14)
                                .add(cOTextField20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(cOTextField21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(cOButton9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(4, 4, 4)
                        .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(cOView1Layout.createSequentialGroup()
                                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                    .add(jLabel15)
                                    .add(cOTextField22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(cOTextField23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                .add(4, 4, 4)
                                .add(lblInfosDeces))
                            .add(cOButton10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, cOView2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(31, 31, 31)
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(cOTextField26, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel17)
                        .add(jLabel20)
                        .add(cOTextField24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(vueBoutonsValidation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(20, Short.MAX_VALUE))
        );

        cOButton2.setActionName("imprimerFicheIdentite");
        cOButton2.setBorderPainted(false);
        cOButton2.setEnabledMethod("peutImprimer");
        cOButton2.setIconName("cktl_printer_16.png");
        cOButton2.setText("Fiche Identité");

        cOButton17.setActionName("ajouter");
        cOButton17.setBorderPainted(false);
        cOButton17.setEnabledMethod("modeSaisiePossible");
        cOButton17.setIconName("ajouter16.gif");

        cOButton18.setActionName("modifier");
        cOButton18.setBorderPainted(false);
        cOButton18.setEnabledMethod("boutonModificationAutorise");
        cOButton18.setIconName("modifier16.gif");

        org.jdesktop.layout.GroupLayout vueBoutonsModificationLayout = new org.jdesktop.layout.GroupLayout(vueBoutonsModification);
        vueBoutonsModification.setLayout(vueBoutonsModificationLayout);
        vueBoutonsModificationLayout.setHorizontalGroup(
            vueBoutonsModificationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueBoutonsModificationLayout.createSequentialGroup()
                .addContainerGap()
                .add(cOButton17, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOButton18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        vueBoutonsModificationLayout.setVerticalGroup(
            vueBoutonsModificationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueBoutonsModificationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                .add(cOButton17, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(cOButton18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
        );

        btnCoordonnees.setActionName("afficherInfosPerso");
        btnCoordonnees.setEnabledMethod("peutAfficherInfosPerso");
        btnCoordonnees.setIconName("cktl_dossier_vert.png");
        btnCoordonnees.setText("Infos personnelles");
        btnCoordonnees.setToolTipText("Adresses, Téléphones, Comptes");

        btnCir.setActionName("afficherCir");
        btnCir.setEnabledMethod("peutAfficherInfosRetraite");
        btnCir.setIconName("cktl_dossier_violet.png");
        btnCir.setText("Infos Retraite (CIR)");
        btnCir.setToolTipText("Synthèse CIR, Validations, Bonifications, Bénéfices études, Etudes rachetées");

        btnDivers.setActionName("afficherDivers");
        btnDivers.setEnabledMethod("peutAfficherInfosPro");
        btnDivers.setIconName("cktl_dossier_jaune.png");
        btnDivers.setText("Infos complémentaires");
        btnDivers.setToolTipText("Arrivée, Service national, formations, diplômes, Déclaration AT, Distinctions, Médical");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(37, 37, 37)
                        .add(btnCoordonnees, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 186, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(btnDivers, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 205, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnCir, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 192, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .addContainerGap()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                                .add(cOButton2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 127, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .add(vueBoutonsModification, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(org.jdesktop.layout.GroupLayout.LEADING, cOView1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                .addContainerGap(25, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .add(cOView1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(cOButton2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(vueBoutonsModification, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(18, 18, 18)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(btnCoordonnees, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnDivers, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnCir, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );

        btnCoordonnees.getAccessibleContext().setAccessibleDescription("Adresses, Téléphones, Situation Familiale, Comptes, Ribs, Conjoint, No Urgence");

        pack();
    }// </editor-fold>//GEN-END:initComponents
  
    // Variables declaration - do not modify//GEN-BEGIN:variables
    public org.cocktail.component.COFrame GrandePhoto;
    public org.cocktail.component.COButton btnCir;
    public org.cocktail.component.COButton btnCoordonnees;
    public org.cocktail.component.COButton btnDivers;
    public org.cocktail.component.COButton cOButton10;
    public org.cocktail.component.COButton cOButton11;
    public org.cocktail.component.COButton cOButton12;
    public org.cocktail.component.COButton cOButton13;
    public org.cocktail.component.COButton cOButton14;
    public org.cocktail.component.COButton cOButton15;
    public org.cocktail.component.COButton cOButton16;
    public org.cocktail.component.COButton cOButton17;
    public org.cocktail.component.COButton cOButton18;
    public org.cocktail.component.COButton cOButton2;
    public org.cocktail.component.COButton cOButton4;
    public org.cocktail.component.COButton cOButton7;
    public org.cocktail.component.COButton cOButton8;
    public org.cocktail.component.COButton cOButton9;
    public org.cocktail.component.COCheckbox cOCheckbox1;
    public org.cocktail.component.COCheckbox cOCheckbox2;
    public org.cocktail.component.COComboBox cOComboBox1;
    public org.cocktail.component.COImageView cOImageView1;
    public org.cocktail.component.COTextField cOTextField1;
    public org.cocktail.component.COTextField cOTextField10;
    public org.cocktail.component.COTextField cOTextField11;
    public org.cocktail.component.COTextField cOTextField12;
    public org.cocktail.component.COTextField cOTextField13;
    public org.cocktail.component.COTextField cOTextField14;
    public org.cocktail.component.COTextField cOTextField15;
    public org.cocktail.component.COTextField cOTextField16;
    public org.cocktail.component.COTextField cOTextField17;
    public org.cocktail.component.COTextField cOTextField18;
    public org.cocktail.component.COTextField cOTextField19;
    public org.cocktail.component.COTextField cOTextField20;
    public org.cocktail.component.COTextField cOTextField21;
    public org.cocktail.component.COTextField cOTextField22;
    public org.cocktail.component.COTextField cOTextField23;
    public org.cocktail.component.COTextField cOTextField24;
    public org.cocktail.component.COTextField cOTextField26;
    public org.cocktail.component.COTextField cOTextField27;
    public org.cocktail.component.COTextField cOTextField4;
    public org.cocktail.component.COTextField cOTextField5;
    public org.cocktail.component.COTextField cOTextField6;
    public org.cocktail.component.COTextField cOTextField7;
    public org.cocktail.component.COTextField cOTextField8;
    public org.cocktail.component.COTextField cOTextField9;
    private org.cocktail.component.COView cOView1;
    private org.cocktail.component.COView cOView2;
    public org.cocktail.component.CODisplayGroup displayGroup;
    public org.cocktail.component.CODisplayGroup displayGroupCivilite;
    public org.cocktail.component.CODisplayGroup eodMinisteres;
    public org.cocktail.component.COImageView grandePhoto;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel15;
    private javax.swing.JLabel jLabel16;
    private javax.swing.JLabel jLabel17;
    public javax.swing.JLabel jLabel18;
    public javax.swing.JLabel jLabel19;
    public javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel20;
    private javax.swing.JLabel jLabel23;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JPanel jPanel1;
    public javax.swing.JLabel labelNomPatronymique;
    public javax.swing.JLabel labelSS;
    public javax.swing.JLabel lblInfosDeces;
    public javax.swing.JLabel lblNumenEpicea;
    public org.cocktail.component.COComboBox popupMinisteres;
    public javax.swing.JComboBox popupSituationLogement;
    public org.cocktail.component.COView vueBoutonsModification;
    public org.cocktail.component.COView vueBoutonsValidation;
    // End of variables declaration//GEN-END:variables
                  

}